#include <bits/stdc++.h>
using namespace std;

const int MAX_N = 1000005;  // godzimy sie z tym, ze program nie zadziala
                            // dla wiekszych danych
const int NIESKONCZONOSC = 1000000001;

int odleglosc[MAX_N];
queue<int> kolejka;

int bfs(int a, int b) {  // dla max(a,b) do 1 000 000 inty wystarcza
  for (int i = 1; i <= max(a, b); i++)
    odleglosc[i] = NIESKONCZONOSC;

  odleglosc[a] = 0;
  kolejka.push(a);

  while (!kolejka.empty()) {
    int u = kolejka.front();
    kolejka.pop();
    for (int v : vector<int>({u/2, 2*u, 2*u+1}))  // potencjalni sasiedzi wierzcholka u
      if ((v >= 1) && (v <= max(a, b)) && (odleglosc[v] == NIESKONCZONOSC)) {
        odleglosc[v] = odleglosc[u] + 1;
        kolejka.push(v);
      }
  }

  return odleglosc[b];
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);

  int q;
  cin >> q;
  for (int i = 0; i < q; i++) {
    int a, b;
    cin >> a >> b;
    cout << bfs(a, b) << "\n";
  }

  return 0;
}
